<template>
  <div>
    <h1 class="mb-4">
      Nice to meet you {{ userLastName }} {{ userFirstName }}. Meet our Director of Skincare Success!
    </h1>
    <div class="doctor">
<!--      TODO ADD DOCTOR IMAGE-->
      <div class="w-12 h-12 rounded-full bg-grey-mlight"></div>
      <div class="text-sm">
        <p>Dr. Lilliana Ramírez García, M.D. </p>
        <p class="text-grey-medium">Board Certified Dermatologist</p>
      </div>
    </div>
    <div class="h1 mb-3">When’s your birthday?</div>
    <p class="mb-4">
      Your skin and hormones change with age, and having this information will help us create the perfect formula for you.
    </p>
    <p class="mb-8">
      Don’t forget, true beauty is ageless.
    </p>
    <text-input
      class="mb-3"
      label="Birthdate"
      placeholder="MM/DD/YYYY"
      v-model="birthdate"
      :error-message="$v.birthdate.$dirty && $v.birthdate.$invalid ? 'Enter valid date' : null"
    />
    <common-btn
      text="Next"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, mainDataMixin} from "@/utils/mixins";
import {required} from 'vuelidate/lib/validators'

const dateRegex = /^\d{2}\/\d{2}\/\d{4}$/g

const dateValidator = value => {
  return Boolean(String(new Date(value)) !== 'Invalid Date' && String(value).match(dateRegex))
}

export default {
  mixins: [mainDataMixin, answersMixin],
  name: "AccountCreation3",
  validations: {
    birthdate: {required, dateValidator}
  },
  watch: {
    birthdate(newVal) {
      this.setAnswer(this.answersKeys.ACCOUNT_CREATION, {birthdate: newVal}, 'stage_3')
    }
  },
  data() {
    return {
      birthdate: null,
    }
  },
  methods: {
    handleClick() {
      this.$v.$touch()
      if (!this.$v.$invalid) {
        this.$emit('nextStage')
      }
    },
  }
}
</script>

<style scoped>
.doctor {
  @apply grid gap-x-5 items-center mb-8;
  grid-template-columns: 50px 1fr;
}
</style>
